Subject: bug#30130: Add ‘guix whereis’ command

From: [email-masked] (Ludovic Courtès)
Date: Wed, 17 Jan 2018 15:05:42 +0100

Mathieu Lirzin <[email-masked]> skribis:

> I would find really useful if Guix was providing a tool similar to what
> ‘dnf whatprovides’ or ‘apt-file’ does.  I mean something to check what
> packages provides a particular file (executable/manual/library).

This has been discussed before, and can be summarized this way:

  1. Finding files that are already in your store could be done easily,
     using ‘updatedb’ or something similar.

  2. Finding files from packages not in your store is trickier: it
     involves getting info from a build farm server typically.

If we address #1 in a Guix-specific way (automatically populating a file
database upon build completion), then perhaps we could arrange for ‘guix
publish’ to publish that info.

Ludo’.